Advertisement:

Author Topic: can not install plugins  (Read 2314 times)

romantica

  • Premium
  • Hero Member
  • *****
  • Posts: 1092
  • salut tout le monde
can not install plugins
« on: June 25, 2011, 09:11:59 pm »
hello, can not install plugins here is the error:
Code: [Select]
There Was a fatal error and the WAS plugin not installed.
Error: "Module 'imagick' already loaded" Line: 0
File: Unknown

thank you for your help

_CONEJO

  • Administrator
  • Hero Member
  • *****
  • Posts: 4689
Re: can not install plugins
« Reply #1 on: June 27, 2011, 11:08:52 am »
Hi romantica,

Tha happens with any plugin or with some specific one?

Thanks

romantica

  • Premium
  • Hero Member
  • *****
  • Posts: 1092
  • salut tout le monde
Re: can not install plugins
« Reply #2 on: June 27, 2011, 01:55:36 pm »
All plugins will not install!
thank you for your help

Juan Ramón

  • Osclass Developer
  • Hero Member
  • *****
  • Posts: 2382
Re: can not install plugins
« Reply #3 on: June 27, 2011, 07:44:37 pm »
It seems to be a host issue. Can you open a ticket with this issue to them?

romantica

  • Premium
  • Hero Member
  • *****
  • Posts: 1092
  • salut tout le monde
Re: can not install plugins
« Reply #4 on: June 28, 2011, 12:41:14 am »
Good evening, I do not see how could be because of the host, in effect for
  Ads4 OsClass, google maps, google analytics gives me the same error: There Was a fatal error and the WAS plugin not installed.
Error: "Module 'imagick' already loaded" Line: 0
File: Unknown

Sitemap Generator for it gives this error:
There Was a fatal error and the WAS plugin not installed.
Error: "date () [function.date]: It Is not safe to Rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set () function. In case you Used Any Of Those methods and you are still getting this warning, you misspelled the timezone Most Likely identify. We selected 'Europe / Berlin' for 'CEST/2.0/DST' instead "Line: 69
File: / home / ..... / public_html / ...........fr / oc-content / plugins / sitemap_generator / index.php

I do not understand
thank you for the help
romantica

Juan Ramón

  • Osclass Developer
  • Hero Member
  • *****
  • Posts: 2382
Re: can not install plugins
« Reply #5 on: June 28, 2011, 03:08:43 am »
The date error is because the hosting hasn't configured the timezone. You can configure:
Code: [Select]
    date_default_timezone_set('Europe/Paris') ;
The imagick I'm not sure why is happening.

It only happens when you install a plugin because we handle the php errors with a function. You should comment the line 74 of ./oc-admin/plugins.php:
Code: [Select]
    // register_shutdown_function(array($this, 'errorHandler'), $pn);

romantica

  • Premium
  • Hero Member
  • *****
  • Posts: 1092
  • salut tout le monde
Re: can not install plugins
« Reply #6 on: June 28, 2011, 11:10:37 am »
hello, thank you all my plugins are installed by simply commenting out the line 74 of plugin.php.un thank you.
only problem how adsense advertising appear on the home page of the theme "modern".
cordially
romantica